Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004515OCamlOCaml generalpublic2008-02-29 16:412013-07-28 22:01
Reporterdbuenzli 
Assigned Togasche 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.10.2 
Target VersionFixed in Version 
Summary0004515: Better location reporting for implementation / interface type declaration mismatch errors
DescriptionFor now we have :

The implementation src/per.ml does not match the interface src/per.cmi:
Type declarations do not match:
  type error = string * string
is not included in
  type error = string * string list

But I cannot use emacs's next error to jump there. With something like :

The implementation src/per.ml does not match the interface src/per.cmi:
Type declarations do not match:
  File "src/per.ml", line 24, characters 13-27:
  type error = string * string
is not included in
  File "src/per.mli", line 56, characters 13-27:
  type error = string * string list

I could.

Thanks,

Daniel
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0009943)
gasche (developer)
2013-07-28 22:01

This was (partially) fixed in 4.00, which prints the following form of error message:

File "test.ml", line 1:
Error: The implementation test.ml does not match the interface test.cmi:
       Values do not match: val y : int is not included in val y : bool
       File "test.ml", line 2, characters 4-5: Actual declaration

While module/signature mismatches in the same file will report both the location of the actual and of the expected declaration, the location in the .mli file it not printed, because .cmi files do not preserve location (this is an intentional design choice of Jacques, commit 11229, but has been questioned by Alain in PR#5817).

- Issue History
Date Modified Username Field Change
2008-02-29 16:41 dbuenzli New Issue
2008-03-07 12:29 doligez Status new => acknowledged
2013-07-28 22:01 gasche Note Added: 0009943
2013-07-28 22:01 gasche Status acknowledged => resolved
2013-07-28 22:01 gasche Resolution open => fixed
2013-07-28 22:01 gasche Assigned To => gasche


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker